Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableBezier Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableBezier:
[legend]
Collaboration diagram for Magick::DrawableBezier:
[legend]

## Public Member Functions
| DrawableBezier (const CoordinateList &coordinates_)
| DrawableBezier (const DrawableBezier &original_)
| ~DrawableBezier (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 433 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableBezier::DrawableBezier | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 264 of file Drawable.cpp.

Magick::DrawableBezier::DrawableBezier | ( | const DrawableBezier & | original_ | ) |

Definition at line 269 of file Drawable.cpp.

Magick::DrawableBezier::~DrawableBezier | ( | void |  | ) |

Definition at line 275 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableBezier::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 297 of file Drawable.cpp.

void Magick::DrawableBezier::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 278 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp